KDE 4.3 PyKDE API Reference

- KDE's Python API

# Property Class Reference

`from PyKDE4.nepomuk import *`

Inherits: Nepomuk.Types.Entity
Namespace: Nepomuk::Types

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, QUrl uri)
| __init__ (self, Nepomuk.Types.Property a0)
int | cardinality (self)
Nepomuk.Types.Class | domain (self)
Nepomuk.Types.Property | inverseProperty (self)
bool | isParentOf (self, Nepomuk.Types.Property other)
bool | isSubPropertyOf (self, Nepomuk.Types.Property other)
Nepomuk.Types.Literal | literalRangeType (self)
int | maxCardinality (self)
int | minCardinality (self)
[Nepomuk::Types::Property] | parentProperties (self)
Nepomuk.Types.Class | range (self)
[Nepomuk::Types::Property] | subProperties (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | QUrl | uri
| ) |  |  |

__init__ | ( | self, |
|  | Nepomuk.Types.Property | a0
| ) |  |  |

int cardinality | ( |  | self ) |

Nepomuk.Types.Class domain | ( |  | self ) |

Nepomuk.Types.Property inverseProperty | ( |  | self ) |

bool isParentOf | ( | self, |
|  | Nepomuk.Types.Property | other
| ) |  |  |

bool isSubPropertyOf | ( | self, |
|  | Nepomuk.Types.Property | other
| ) |  |  |

Nepomuk.Types.Literal literalRangeType | ( |  | self ) |

int maxCardinality | ( |  | self ) |

int minCardinality | ( |  | self ) |

[Nepomuk::Types::Property] parentProperties | ( |  | self ) |

Nepomuk.Types.Class range | ( |  | self ) |

[Nepomuk::Types::Property] subProperties | ( |  | self ) |